Bug 218220 - Loss of pear modules on upgrade from RHEL4 to RHEL5
Loss of pear modules on upgrade from RHEL4 to RHEL5
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php-pear (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-03 13:06 EST by Greg Swallow
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 04:42:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Swallow 2006-12-03 13:06:50 EST
Description of problem:
- In RHEL4 php-pear provides Archive_Tar, Console_Getopt, DB, HTTP, Mail, 
Net_SMTP, Net_Socket, PEAR, XML_Parser and XML_RPC
- In RHEL5 php-pear provides Archive_Tar, Console_Getopt, PEAR and XML_RPC

Version-Release number of selected component (if applicable):
php-pear-1.4.9-4

How reproducible:
always

Steps to Reproduce:
1. 'pear list' displays the installed pear modules
2.
3.
  
Actual results:
as described in the description

Expected results:
php-pear in RHEL5 should require the missing pear modules.  I believe they are 
all in Fedora Extras.  I think for RHEL5 at least they should be part of the 
distribution to make the transition smooth from RHEL4 to RHEL5.

Additional info:
Sorry for the late bug report.  Just thought of it today.
Comment 1 Greg Swallow 2006-12-03 14:02:47 EST
Building the FC6 module rpms works fine, but just noting also required is php-
pear-Auth-SASL:

error: Failed dependencies:
        php-pear(Auth_SASL) is needed by php-pear-Net-SMTP-1.2.8-5.noarch
Comment 2 Joe Orton 2006-12-12 04:42:49 EST
Thanks for the report; it's actually intentional to ship only the minimal PEAR
installation in RHEL5 - this is mentioned in the release notes.  Third-party
packages are available already which provide many PEAR modules in RPM format.

Note You need to log in before you can comment on or make changes to this bug.